| Version: 3.2.5

Public Member Functions | List of all members
wxBrushList Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include <wx/brush.h>`

## Detailed Description

A brush list is a list containing all brushes which have been created.

The application should not construct its own brush list: it should use the object pointer wxTheBrushList.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See also
  wxBrush

## Public Member Functions

wxBrush * | FindOrCreateBrush (const wxColour &colour, wxBrushStyle style=wxBRUSHSTYLE_SOLID)
| Finds a brush with the specified attributes and returns it, else creates a new brush, adds it to the brush list, and returns it. More...

## Member Function Documentation

## ◆ FindOrCreateBrush()

wxBrush* wxBrushList::FindOrCreateBrush | ( | const wxColour & | colour,
|  | wxBrushStyle | style = `wxBRUSHSTYLE_SOLID`
| ) |  |

Finds a brush with the specified attributes and returns it, else creates a new brush, adds it to the brush list, and returns it.

Parameters

  colour | Colour object.
  style | Brush style. See wxBrushStyle for a list of styles.